<template>
  <div :class="['list-item', { selected: selected }]"><slot></slot></div>
</template>

<script lang="ts">
import { Options, Vue } from "vue-class-component";

@Options({
  props: {
    selected: {
      type: Boolean,
      default: false,
    },
  },
})
export default class InputDynamicSelectItem extends Vue {
  public selected!: boolean;
}
</script>

<style scoped lang="scss">
@import "@/styles/globals";

.list-item {
  box-sizing: border-box;
  background-color: $white_bg;
  width: 100%;
  padding: 5px;
  list-style: none;

  &:hover {
    background-color: $light_bg;
  }

  &.selected {
    background-color: $light_blue;
    color: $white_bg;
  }
}
</style>
